type token =
  | EOF
  | EQ
  | NEQ
  | LEQ
  | GEQ
  | LT
  | GT
  | MATCHES
  | DOESNT_MATCH
  | LPAREN
  | RPAREN
  | LBRACK
  | RBRACK
  | COLON
  | COMMA
  | AND
  | TRUE
  | FALSE
  | NOT
  | OR
  | ASSIGN
  | STAR
  | PLUS
  | IDENTITY
  | REVERSE
  | DOT
  | TILDE
  | IDENT of (string)
  | STRING of (string)
  | REGEXP of (string * Ast.regexp_option list)

val statement :
  (Lexing.lexbuf  -> token) -> Lexing.lexbuf -> Ast.statement
