#!/bin/sh

VERSION=`sed -n -e '1s/^ara (\([^ ]*\)) .*$/\1/p' debian/changelog`
DATE=`date +'%04Y-%02m-%02d'`

dir=/tmp/ara-$VERSION
rm -rf /tmp/ara-$VERSION
mkdir $dir || exit 1
cp -a . $dir || exit 1
find $dir -type d -name '.svn' -exec rm -rf \{\} \; &>/dev/null
find $dir -type f -name '.*.swp' -exec rm \{\} \; &>/dev/null
tar cjf $dir.tar.bz2 $dir
